lib.sh: Make err_ always exit no matter what

Always certainly redundant, since if -u -e isn't
set, it'll continue to exit anyway.

However, we want to be pedantic about this, since
the safety of lbmk relies entirely on this function
NOT misbehaving.

Signed-off-by: Leah Rowe <leah@libreboot.org>
This commit is contained in:
Leah Rowe
2025-05-04 09:10:24 +01:00
parent 8d8f6932f1
commit 07145cc94a
+1 -1
View File
@@ -174,6 +174,6 @@ x_()
err_()
{
printf "ERROR %s: %s\n" "$0" "$1" 1>&2
[ $# -lt 1 ] || printf "ERROR %s: %s\n" "$0" "$1" 1>&2 || :
exit 1
}